---
title: "Search persons"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/personnel/search-persons`

## Path parameters

- `id` (`entity-personnel-search-persons.path.id`; string, required)
  - format `uuid`

## Query parameters

- `query` (`entity-personnel-search-persons.query.query`; string, required)
  - minLength 2

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/personnel/search-persons?query=string'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/personnel/search-persons?query=string';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/personnel/search-persons?query=string"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "personEntities": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email": "string",
      "phone": "string",
      "linkedUserId": "string",
      "logoUrl": "string",
      "entityType": "string"
    }
  ],
  "platformUsers": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "profileImageUrl": "string",
      "createdAt": "string"
    }
  ]
}
```

- `personEntities` (`entity-personnel-search-persons.response.200.personEntities`; array<object>, required)
  - `id` (`entity-personnel-search-persons.response.200.personEntities.id`; string, required)
    - format `uuid`
  - `name` (`entity-personnel-search-persons.response.200.personEntities.name`; string, required)
  - `email` (`entity-personnel-search-persons.response.200.personEntities.email`; string, required, nullable)
  - `phone` (`entity-personnel-search-persons.response.200.personEntities.phone`; string, required, nullable)
  - `linkedUserId` (`entity-personnel-search-persons.response.200.personEntities.linkedUserId`; string, required, nullable)
  - `logoUrl` (`entity-personnel-search-persons.response.200.personEntities.logoUrl`; string, required, nullable)
  - `entityType` (`entity-personnel-search-persons.response.200.personEntities.entityType`; string, required)
- `platformUsers` (`entity-personnel-search-persons.response.200.platformUsers`; array<object>, required)
  - `id` (`entity-personnel-search-persons.response.200.platformUsers.id`; string, required)
  - `name` (`entity-personnel-search-persons.response.200.platformUsers.name`; string, required, nullable)
  - `email` (`entity-personnel-search-persons.response.200.platformUsers.email`; string, required, nullable)
  - `profileImageUrl` (`entity-personnel-search-persons.response.200.platformUsers.profileImageUrl`; string, required, nullable)
  - `createdAt` (`entity-personnel-search-persons.response.200.platformUsers.createdAt`; string, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.400.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.401.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.403.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.404.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.500.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-personnel-search-persons.response.503.error`; object, required)
  - `code` (`entity-personnel-search-persons.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-personnel-search-persons.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-personnel-search-persons.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-personnel-search-persons.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-personnel-search-persons/index.md
